/* motor_test
 *  
 * Kétkerék maghajtású (2WD) motorjainak próbája:
 * 3-3 másorperci előre, hátra, jobbra és balra menet,
 * közben 1-1 másodperc szünet.
 * 
 * A motorokat az L298N kettős H-híd hajtja meg.
 * Az engedélyező lábek fix magas szintet kapnak.
 * 
 */

#define B1A 7          // Bal motor előre
#define B1B 6          // Bal motor hátra
#define A1A 5          // Jobb motor előre
#define A1B 4          // Jobb motor hátra
void setup() {
  Serial.begin(9600);
  Serial.println("Motor test");
  pinMode(B1A,OUTPUT);
  pinMode(B1B,OUTPUT);
  pinMode(A1A,OUTPUT);
  pinMode(A1B,OUTPUT);
  digitalWrite(B1A,LOW);
  digitalWrite(B1B,LOW);
  digitalWrite(A1A,LOW);
  digitalWrite(A1B,LOW);
}

void loop() {
  Serial.println("Forward ALL");
  digitalWrite(B1A,HIGH);
  digitalWrite(B1B,LOW);
  digitalWrite(A1A,HIGH);
  digitalWrite(A1B,LOW);  
  delay(3000);
  digitalWrite(B1A,LOW);
  digitalWrite(B1B,LOW);
  digitalWrite(A1A,LOW);
  digitalWrite(A1B,LOW);  
  delay(1000);  
  Serial.println("Reverse ALL");
  digitalWrite(B1A,LOW);
  digitalWrite(B1B,HIGH);
  digitalWrite(A1A,LOW);
  digitalWrite(A1B,HIGH);  
  delay(3000);
  digitalWrite(B1A,LOW);
  digitalWrite(B1B,LOW);
  digitalWrite(A1A,LOW);
  digitalWrite(A1B,LOW);  
  delay(1000); 
  Serial.println("Turn RIGHT");
  digitalWrite(B1A,HIGH);
  digitalWrite(B1B,LOW);
  digitalWrite(A1A,LOW);
  digitalWrite(A1B,LOW);  
  delay(3000);
  digitalWrite(B1A,LOW);
  digitalWrite(B1B,LOW);
  digitalWrite(A1A,LOW);
  digitalWrite(A1B,LOW);  
  delay(1000); 
  Serial.println("Turn LEFT");
  digitalWrite(B1A,LOW);
  digitalWrite(B1B,LOW);
  digitalWrite(A1A,HIGH);
  digitalWrite(A1B,LOW);  
  delay(3000);
  digitalWrite(B1A,LOW);
  digitalWrite(B1B,LOW);
  digitalWrite(A1A,LOW);
  digitalWrite(A1B,LOW);  
  delay(2000);
}
